/*
 * $RCSfile: lcm.c,v $
 *
 * Universal Stub Compiler
 *
 * Copyright (c) 1994    Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/13 17:43:30 $
 */

#include "usc.h"
#include "debug.h"

#ifdef OLD_GCD

int gcd (int x, int y)
{
  int b;
  if (y > x) {
	 b = x;
	 x = y;
	 y = b;
  }
  if (y == 1)
	 return 1;
  else {
	 b = x % y;
	 if (!b)
		return y;
	 else if (x > b)
		return gcd (y, b);
	 else
		return gcd (b, y);
  }
}

int lcm (int x, int y)
{
  int t = gcd (MAX(x, y), MIN(x, y));
  dprintf (1000, "%d %d: gcd: %d\n", x, y, t);
  if ( t == 0 )
    return 0;
  else
    return x * y / t;
}

#else

int gcd(int a, int b)
{
  int tmp;
  
  if (b > a)
  {
    tmp = a; a = b; b = tmp;
  }
  for(;;)
  {
    if (b == 0)
      return a;
    else if (b == 1)
      return b;
    else
    {
      tmp = b;
      b = a % b;
      a = tmp;
    }
  }
}

int lcm(int x, int y)
{
  return (y==0)? 0: x / gcd(x, y) * y;
}

#endif
