/*
 * $RCSfile: compose_mach3.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: compose_mach3.h,v $
 * Revision 1.8  1994/02/05 00:10:22  menze
 *   [ 1994/01/04          menze ]
 *   Added <stdio.h>
 *
 *   [ 1994/01/04          menze ]
 *   Using XK_NEEDS_SYSTEM_PROTOTYPES conditional
 *
 */

#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <sys/types.h>
#include <sys/dir.h>
#define DIRENT direct
#include <sys/stat.h>
#include <sys/file.h>

#if defined(__STDC__) && defined(XK_NEEDS_SYSTEM_PROTOTYPES)


int	unlink( char * );
int	access( char *, int );

/* 
 * System prototypes
 */
void	perror( char * );
int	printf();
int	bzero( char *, int );
int	_flsbuf();
int	_filbuf();
void	exit( int );
int	fclose( FILE * );
int	fprintf( FILE *, char *, ... );

#endif /* __STDC__ && XK_NEEDS_SYSTEM_PROTOTYPES */
